@echo off
echo:

rem *****************************************************
rem *    Watcom C++ 11.0 PTC win32 gui example build    *
rem * ------------------------------------------------- *
rem * Syntax: wc11 [example] (library)                  *
rem *                                                   *
rem * [example]  = example source name                  *
rem * (library)  = "debug" or "release"                 *
rem *****************************************************

if not exist "%1.cpp" goto done




rem ******************
rem * Win32 platform *
rem ******************
:dos

if "%2" == "release" goto release

echo Building "%1.cpp" : Watcom C++ 11.0 win32 debug
echo:
wpp386 %1.cpp -i=..\..\src -bm -bt=nt
wlink name %1.exe file %1.obj library ..\..\lib\win32\wc11.0\debug.lib system nt_win option stack=256k
goto done

:release
echo Building "%1.cpp" : Watcom C++ 11.0 win32 release
echo:
wpp386 %1.cpp -i=..\..\src -bm -bt=nt -oneatx
wlink name %1.exe file %1.obj library ..\..\lib\win32\wc11.0\release.lib system nt_win option stack=256k
goto done




:done
